<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/rlfourthstageview"
    android:layout_width="match_parent"
    android:layout_height="match_parent" >

    <RelativeLayout
        android:id="@+id/llbtnpulseandbp"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentLeft="true"
        android:layout_alignParentTop="true"
        android:layout_margin="5dp"
        android:orientation="horizontal" >
        
         <TableLayout android:id="@+id/tblfsview"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentLeft="true"
        android:layout_alignParentTop="true">
        
        <!-- mode -->
             <TableRow
                android:id="@+id/tr_mode"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/dim_10"
                android:padding="@dimen/dim_2"
                android:gravity="center_vertical" >

                <TextView
                    android:id="@+id/txtmode"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="@dimen/dim_2"
                    android:textAppearance="?android:attr/textAppearanceMedium"
                    android:textStyle="bold"
                    android:textColor="@color/firebrick" 
                    android:gravity="center_vertical"
                    android:text="@string/fslaborviewmode"/>
            </TableRow>
            
             <TableRow
                android:id="@+id/tr_wname"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/dim_10"
                android:padding="@dimen/dim_2"
                >
                

                <TextView
                    android:id="@+id/txtwname"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textAppearance="?android:attr/textAppearanceMedium"
                    android:layout_marginLeft="@dimen/dim_3"
                    />
            </TableRow>

        
    </TableLayout>

        <ImageButton
            android:id="@+id/btnviewgraphpulseandbp"
            android:layout_width="@dimen/dim_100"
            android:layout_height="60dp"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:background="@color/gamboge"
            android:contentDescription="@string/cont_desc"
            android:src="@drawable/ic_graphicon" />
    </RelativeLayout>
    
   

    <HorizontalScrollView
        android:id="@+id/scr"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@+id/llbtnfourthstage"
        android:layout_below="@+id/llbtnpulseandbp"
        android:layout_margin="@dimen/dim_5"
         >

        <ScrollView
            android:id="@+id/scr1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/dim_5" >

            <TableLayout
                android:id="@+id/tblfourthstageview"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dim_10"
                android:background="@drawable/dprounded_corner_layout" >
            </TableLayout>
        </ScrollView>
    </HorizontalScrollView>

    <LinearLayout
        android:id="@+id/llbtnfourthstage"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginTop="@dimen/dim_5"
        android:orientation="horizontal" >

        <Button
            android:id="@+id/btnviewfourthstage"
            style="?android:attr/buttonBarButtonStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dim_5"
            android:layout_weight="1"
            android:background="@drawable/btn_selector"
            android:text="@string/view"
            android:textColor="@color/white"
            android:textSize="@dimen/dim_20"
            android:textStyle="bold" />
    </LinearLayout>

</RelativeLayout>